#include "options.h"

//cell size 
#define D_RSIZE1 12
#define D_RSIZE2 D_RSIZE1*2
#define D_RSIZE3 D_RSIZE1*4

//number of cells per canvas
#define D_GSIZE 100

//return val of on_canvas1_key_pressed event
#define D_KPRET 1
#define D_SHOW_HELPERS FALSE

//colors
#define D_GRID_COLOR "grey"
#define D_EXIT_COLOR "dark green"
#define D_RECT_COLOR "dark green"
#define D_TEXT_COLOR "blue"
#define D_ACTIVE_TEXT_COLOR "red"
#define D_ACTIVE_RECT_COLOR "dark cyan"
#define D_CANVAS_COLOR "light yellow"

//fonts
#define D_APP_FONT "Sans 10"
#define D_SOURCE_FONT "Monospace 12"
//exits have arrows
#define D_DO_ARROWS 0


//zoom options
#define D_ZOOM_STEP 0.1
#define D_ZOOM_MIN 0.7
#define D_ZOOM_MAX 1.4

//area options
#define D_ROOM_PREFIX "ROOMS"
#define D_AREA_NAME "rooms"
#define D_FILE_EXT ".c"
#define D_COMMENT "//"
#define D_CREATOR_NAME "Creator"
#define D_MUDLIB_TEMPLATE "merentha.mlt"


//exit name options 
//mainly used if you want to be able to generate in different language

#define D_SOUTH_IS "south"
#define D_NORTH_IS "north"
#define D_WEST_IS "west"
#define D_EAST_IS "east"
#define D_SOUTHWEST_IS "southwest"
#define D_SOUTHEAST_IS "southeast"
#define D_NORTHWEST_IS "northwest"
#define D_NORTHEAST_IS "northeast"
#define D_UP_IS "up"
#define D_DOWN_IS "down"
