/*
  
     gereacreator: tool used to generate areas in muds (multi-user dungeons)
  
     Copyright (c) 2003, Alexander Oganezov

     This program is free software; you can redistribute it and/or modify
     it under the terms of the GNU General Public License as published by
     the Free Software Foundation; either version 2 of the License, or
     (at your option) any later version.                                                                                     
     This program is distributed in the hope that it will be useful,
     but WITHOUT ANY WARRANTY; without even the implied warranty of
     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
     GNU General Public License for more details.
												                                                                                       
     You should have received a copy of the GNU General Public License
     along with this program; if not, write to the Free Software
     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

*/
										

#ifdef HAVE_CONFIG_H
#  include <config.h>
#endif

#include <gnome.h>

#include "interface.h"
#include "support.h"
#include "options.h"

GtkWidget *preview_dialog;

int
main (int argc, char *argv[])
{
  GtkWidget *window1,*window2, *dialog1;
	
  char *hm;
   char *wdo;
extern GtkObject *adj1;
extern GtkObject *adj2;
printf("\n\ngereacreator version %s, Copyright (C) 2003 Alexander Oganezov\ngereacreator comes with ABSOLUTELY NO WARRANTY; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. For details see GNU General Public License\n\n",VERSION);
//no need to run it as root anyways
if (getuid()==0)
{	
	g_print("Its unsafe to run gereacreator as root\n");
	g_print("Exiting...\n");
	return;
}
#ifdef ENABLE_NLS
  bindtextdomain (GETTEXT_PACKAGE, PACKAGE_LOCALE_DIR);
  bind_textdomain_codeset (GETTEXT_PACKAGE, "UTF-8");
  textdomain (GETTEXT_PACKAGE);
#endif

  gnome_program_init (PACKAGE, VERSION, LIBGNOMEUI_MODULE,
                      argc, argv,
                      GNOME_PARAM_APP_DATADIR, PACKAGE_DATA_DIR,
                      NULL);



wdo=malloc(sizeof(char)*1000);

   hm=getenv("HOME");
   strcpy(wdo,"rm ");
   strcat(wdo,hm);
   strcat(wdo,"/.mudsbuilder/.tmpsaved_* 2>/dev/null");
   system(wdo);
free(wdo);
free(hm);
default_options();
window1 = create_window1 ();
  dialog1=create_dialog1();
  gtk_widget_show (window1);
  preview_dialog=dialog1;
set_root(window1);

GtkWidget *scwind;
GtkObject *adj1,*adj2;
scwind=lookup_widget(window1,"scrolledwindow1");
    float mx_scroll=GSIZE*RSIZE2;
    
adj1=gtk_adjustment_new(0.0,0.0,1800.0,30.0,50.0,50.0);
adj2=gtk_adjustment_new(0.0,0.0,1800.0,30.0,50.0,50.0);
gtk_scrolled_window_set_vadjustment(
(GtkScrolledWindow*)scwind,(GtkAdjustment*)adj1);
gtk_scrolled_window_set_hadjustment(
(GtkScrolledWindow*)scwind,(GtkAdjustment*)adj2);

gtk_main ();
  return 0;
}

