//#include "levels.h"

//extern struct _level;
struct _vroom;
//struct _level;

struct _vexit 
{
	int type; //0 regular , 1 hidden , 2 - depends
	char *option;
	struct _vroom *toroom;
};

struct _vexitnode
{
	GnomeCanvasItem *line;
	char *ex_name;
	struct _vroom *room_ptr;
	struct _vexitnode* next;
	struct _vexitnode* prev;
};


struct _vroom {
	GnomeCanvasItem *rectangle;
	GnomeCanvasItem *text;
	GnomeCanvasItem *vup;//for up/downs experimental
	GnomeCanvasItem *vdown;
	GnomeCanvasItem *rexit[8];
	GnomeCanvasPoints *points[8];
	int x,y;
	int edited;
	char id[100];
	struct _vroom *next;
	struct _vroom *prev;


	struct _level *rlevel;

	struct _vroom *room_ptr[8];
	struct _vexit *_exit[8]; //standard (obvious) exits
	struct _vroom *up;
	struct _vroom *down;
	struct _vexitnode *head_exit;//misc exits (llist)
	
};

void create_new_room(int pos);
struct _vroom* new_vroom();
int new_room(struct _vroom *cur_room, char *id, double x, double y);
//set_exits doesnt set them - it adds exits that are == 1.0
//so if daexits[0]==0.0 exit doesnt get removed
int set_exits(struct _vroom *cur_room,double *daexits);

//linking 2 rooms together so that they actually point at each other
int link_rooms(struct _vroom *r1,struct _vroom *r2,double *dx);
int show_up(struct _vroom*);
int show_down(struct _vroom*);
struct _vroom* get_room_by_id(int rid);

