#include <gnome.h>

struct _level 
{
	int lev_id;
	GtkWidget *canvas;
	GtkWidget *table;
	GtkWidget *scrolled;
	GnomeCanvasGroup *group;
	struct _level *next;
	struct _level *prev;
	
	GnomeCanvasItem **line_list;
	double _zoom;

};

int level_exists(char *levname);
int dummy_level_fn();
int get_map_level(char *levname);
void get_current_level(char *lev);
int go_level(int amount);
struct _level *new__level();
int switch_to_current_level();
int level_destroy(struct _level *cl);
